Drone

Linter: untrusted repositories cannot configure [...]

This message indicates you are trying to use a configuration that is only available to trusted repositories. A trusted repository has escalated privileged and should therefore be used with caution.

A system admin can designate a repository as trusted by checking the Trusted checkbox in the repository settings screen.

If you do not see the Trusted checkbox it is because you are not an admin. You can learn more about configuring administrative users at https://docs.drone.io/manage/user/admins/.